%define         srcname      ser-player

Name:           serplayer
Summary:        A video player for SER files used in solar, lunar and planetary imaging
Version:        1.7.3
Release:        %mkrel 5
License:        GPLv3
Group:          Sciences/Astronomy

Url:            https://github.com/cgarry/ser-player
Source0:        https://github.com/cgarry/ser-player/releases/tag/%{srcname}-%{version}.tar.gz

#from debian (sid)
Patch0:         Uncomment-line-for-linux-rep-and-fix-version-number.patch
Patch1:         Add-missing-QPainterPath-include.patch

BuildRequires:  pkgconfig(dri)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  qtbase5-common-devel
BuildRequires:  pkgconfig(Qt5Widgets)
Buildrequires:  pkgconfig(Qt5Concurrent)

%description
SER Player is a video player for playing LuCam Recorder SER files.
SER files are used for planetary, lunar and solar captures and this
player allows these captures to be viewed in the same way AVI files
are viewed with a standard video player.



%prep

%setup -q -n %{srcname}-%{version}
%autopatch -p1



%build
export QT_SELECT=5
%qmake_qt5 DEFINES+=DISABLE_NEW_VERSION_CHECK CONFIG+=release BUILD_FOR_APPIMAGE=



%install
%qmake_install


%files
%{_bindir}/ser-player
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/ser-player.png
%{_datadir}/mime/packages/ser-player.xml


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.7.3-5.mga10
+ Revision: 2222469
- Mageia 10 Mass Rebuild

* Sat May 04 2024 eatdirt <eatdirt> 1.7.3-4.mga10
+ Revision: 2062081
- Update url

* Sat Jan 28 2023 wally <wally> 1.7.3-3.mga9
+ Revision: 1936632
- don't own hicolor icon dirs

* Sun Apr 03 2022 umeabot <umeabot> 1.7.3-2.mga9
+ Revision: 1842708
- Mageia 9 Mass Rebuild

* Sun Oct 31 2021 eatdirt <eatdirt> 1.7.3-1.mga9
+ Revision: 1753394
- Add missing BR
- imported package serplayer

